from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XCommandProcessor(XInterface, Protocol):
    def createCommandIdentifier(self) -> int: ...
    def abort(self, CommandId: int) -> None: ...
